package main

// this initializes the repos

import (
	"strings"

	"go.wit.com/lib/gui/repostatus"
	"go.wit.com/log"
)

func (r *repoWindow) initRepoList() {
	r.View.InitRepoList(".config/guireleaser")

	log.Info("scanning everything in ~/go/src")
	for i, path := range repostatus.ListGitDirectories() {
		// log.Info("addRepo()", i, path)
		path = strings.TrimPrefix(path, me.goSrcPwd.String())
		path = strings.Trim(path, "/")
		log.Info("addRepo()", i, path)
		r.View.NewRepo(path)
	}
}

func (r *repoWindow) tmpRepoList() {

	log.Info("scanning everything in ~/go/src")
	for i, path := range repostatus.ListGitDirectories() {
		// log.Info("addRepo()", i, path)
		path = strings.TrimPrefix(path, me.goSrcPwd.String())
		path = strings.Trim(path, "/")
		log.Info("addRepo()", i, path)
		r.View.NewRepo(path)
	}
}
